> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/account-info.md).

# Account info

Retrieves information about an account, its activity, and its XRP balance. All information retrieved is relative to the last validated ledger.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
$ curl https://api.xrpscan.com/api/v1/account/rwpTh9DDa52XkM9nTKp2QrJuCGV5d1mQVP
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "sequence": 573329,
  "xrpBalance": "985332.357523",
  "ownerCount": 0,
  "previousAffectingTransactionID": "59B6AEB320F3861003A48C811F231BF37D8E3A24240096F426C32CC903E1BCED",
  "previousAffectingTransactionLedgerVersion": 81461129,
  "Account": "rwpTh9DDa52XkM9nTKp2QrJuCGV5d1mQVP",
  "Balance": "985332357523",
  "Flags": 0,
  "LedgerEntryType": "AccountRoot",
  "OwnerCount": 0,
  "PreviousTxnID": "59B6AEB320F3861003A48C811F231BF37D8E3A24240096F426C32CC903E1BCED",
  "PreviousTxnLgrSeq": 81461129,
  "Sequence": 573329,
  "index": "AEF7054C5839EDA240E3EC9DABC7305B9D8AD449D95C09D8B5C647E3A9E668DF",
  "settings": {},
  "account": "rwpTh9DDa52XkM9nTKp2QrJuCGV5d1mQVP",
  "parent": "rw2ciyaNshpHe7bCHo4bRWq6pqqynnWKQg",
  "initial_balance": 8793.131825,
  "inception": "2020-03-17T20:40:10.000Z",
  "ledger_index": 54161785,
  "tx_hash": "D46593AE03B566A10BCC1F968EB069DB84D4D51388EA4C9F947162F7F9A2AC1D",
  "accountName": {
    "name": "Coinbase",
    "desc": "4",
    "account": "rwpTh9DDa52XkM9nTKp2QrJuCGV5d1mQVP",
    "domain": "coinbase.com",
    "twitter": "coinbase"
  },
  "parentName": {
    "name": "Coinbase",
    "desc": "2",
    "account": "rw2ciyaNshpHe7bCHo4bRWq6pqqynnWKQg",
    "domain": "coinbase.com",
    "twitter": "coinbase",
    "verified": true
  }
}
```

{% endtab %}
{% endtabs %}

## Response format

Additional properties may be available in the response based on rippled `account_info` command.

{% embed url="<https://xrpl.org/account_info.html>" %}
